Pay Remita RRR Invoice
curl --request POST \
--url https://api-local.handle.ng/api/v1/bill-payment/rrr/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rrr": "220799679350",
"amount": 1000,
"bankAccountId": "<string>"
}
'import requests
url = "https://api-local.handle.ng/api/v1/bill-payment/rrr/pay"
payload = {
"rrr": "220799679350",
"amount": 1000,
"bankAccountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rrr: '220799679350', amount: 1000, bankAccountId: '<string>'})
};
fetch('https://api-local.handle.ng/api/v1/bill-payment/rrr/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-local.handle.ng/api/v1/bill-payment/rrr/pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rrr' => '220799679350',
'amount' => 1000,
'bankAccountId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-local.handle.ng/api/v1/bill-payment/rrr/pay"
payload := strings.NewReader("{\n \"rrr\": \"220799679350\",\n \"amount\": 1000,\n \"bankAccountId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-local.handle.ng/api/v1/bill-payment/rrr/pay")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rrr\": \"220799679350\",\n \"amount\": 1000,\n \"bankAccountId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-local.handle.ng/api/v1/bill-payment/rrr/pay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rrr\": \"220799679350\",\n \"amount\": 1000,\n \"bankAccountId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Bill processed successfully",
"transactionId": "tx_cly982341908236",
"data": {
"rrr": "220799679350",
"amount": 1000,
"paymentIdentifier": "RRR_PAY_172778810293_ab92df",
"transactionStatus": "SUCCESS",
"billerName": "ABUJA ELECTRICITY DISTRIBUTION COMPANY",
"payerName": "Ayodeji Peters"
}
}Handle VAS & Bill Payments
Pay Existing RRR Invoice
Settle an existing Remita Retrieval Reference (RRR) invoice using Handle account debit mandate.
POST
/
bill-payment
/
rrr
/
pay
Pay Remita RRR Invoice
curl --request POST \
--url https://api-local.handle.ng/api/v1/bill-payment/rrr/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rrr": "220799679350",
"amount": 1000,
"bankAccountId": "<string>"
}
'import requests
url = "https://api-local.handle.ng/api/v1/bill-payment/rrr/pay"
payload = {
"rrr": "220799679350",
"amount": 1000,
"bankAccountId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rrr: '220799679350', amount: 1000, bankAccountId: '<string>'})
};
fetch('https://api-local.handle.ng/api/v1/bill-payment/rrr/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-local.handle.ng/api/v1/bill-payment/rrr/pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rrr' => '220799679350',
'amount' => 1000,
'bankAccountId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-local.handle.ng/api/v1/bill-payment/rrr/pay"
payload := strings.NewReader("{\n \"rrr\": \"220799679350\",\n \"amount\": 1000,\n \"bankAccountId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-local.handle.ng/api/v1/bill-payment/rrr/pay")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rrr\": \"220799679350\",\n \"amount\": 1000,\n \"bankAccountId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-local.handle.ng/api/v1/bill-payment/rrr/pay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rrr\": \"220799679350\",\n \"amount\": 1000,\n \"bankAccountId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Bill processed successfully",
"transactionId": "tx_cly982341908236",
"data": {
"rrr": "220799679350",
"amount": 1000,
"paymentIdentifier": "RRR_PAY_172778810293_ab92df",
"transactionStatus": "SUCCESS",
"billerName": "ABUJA ELECTRICITY DISTRIBUTION COMPANY",
"payerName": "Ayodeji Peters"
}
}Settle any existing 12-digit RRR code that was previously generated on a university portal, CAC, FIRS, FRSC, or Immigration website.
Settlement Mechanism
Handle executes direct Account-to-Account (A2A) settlement from the customer’s linked bank account via mandate, marks the invoice asPAID with Remita, and delivers the official payment receipt.
Sample Request
curl --request POST \
--url 'https://api-local.handle.ng/api/v1/bill-payment/rrr/pay' \
--header 'Authorization: Bearer sk_test_handle_master_key' \
--header 'Content-Type: application/json' \
--data '{
"rrr": "220799679350",
"amount": 1000
}'
Authorizations
Body
application/json